## org.eclipse.datatools.connectivity.sqm.server.internal.ui.explorer.providers
Class SQLModelContentExtension

    java.lang.Object
      PlatformObject
          org.eclipse.datatools.connectivity.ui.ManagedContentExtensionBase
              org.eclipse.datatools.connectivity.sqm.server.internal.ui.explorer.providers.SQLModelContentExtension

All Implemented Interfaces:
  IContentExtension

public class SQLModelContentExtension
extends ManagedContentExtensionBase

Represents the root of the SQL model content contribution. Wraps a `org.eclipse.datatools.connectivity.sqm.internal.core.connection.ConnectionInfo` connection in the navigator.

See Also:
  `IContentExtension`, Serialized Form

Constructor Summary
`SQLModelContentExtension(IConnectionProfile profile)`

Method Summary
`Image` `getImage()`
`java.lang.String` `getLabel()`
`boolean` `isVisible()`

Methods inherited from class org.eclipse.datatools.connectivity.ui.ManagedContentExtensionBase
`closeConnection, dispose, getConnection, getConnectionProfile, getFactoryID, openConnection`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SQLModelContentExtension

    public SQLModelContentExtension(IConnectionProfile profile)

Method Detail

### getImage

    public Image getImage()

  Returns:
    the image to be displayed for this extension node.

### getLabel

    public java.lang.String getLabel()

  Returns:
    the label to be displayed for this extension node.

### isVisible

    public boolean isVisible()

  Returns:
    true if this content extension node should be visible

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.